<?php
// 要删除的文件路径
$path = __DIR__."/data/";

// 定义要删除的时间间隔：七天
$weekSecond = 7 * 24 * 3600;

$num = 0;
if (is_dir($path)) {
    // 获取目录句柄
    $handle = opendir($path);
    // 循环读取出文件
    while ($temp = readdir($handle)) {
        // 忽略系统文件
        if ($temp == '.' || $temp == '..') {
            continue;
        }
        // 获取文件信息
        $info = stat($path . $temp);
        if ((time() - $info['mtime']) > $weekSecond) {
            // 删除超过七天未修改过的文件
            unlink($path . $temp);
            $num++;
        }
    }
    // 关闭句柄
    closedir($handle);
}

// 写日志
$utime = date('Y-m-d H:i:s', time()) . ' 清理文件数: ' . $num . "个\n";
$str = file_get_contents(__DIR__.'/log.txt');
$d=date('Y/m/d H:i',strtotime($str));
$myfile = fopen(__DIR__."/log.txt", "a+");
fwrite($myfile,$utime);
fclose($myfile);
?>